type token =
    LPAREN
  | RPAREN
  | LBRACKET
  | RBRACKET
  | PERIOD
  | COMMA
  | LBRACE
  | RBRACE
  | HASH
  | NOT
  | EOF
  | TILDE_STRING of (string)
  | INTEGER of (Int32.t)

open Parsing
# 2 "src/iwgparser.mly"
open Util

(*** input handle ***)

(*** Error handling ***)

(* Line 10, file src/iwgparser.ml *)
let yytransl_const = [|
  257 (* LPAREN *);
  258 (* RPAREN *);
  259 (* LBRACKET *);
  260 (* RBRACKET *);
  261 (* PERIOD *);
  262 (* COMMA *);
  263 (* LBRACE *);
  264 (* RBRACE *);
  265 (* HASH *);
  266 (* NOT *);
    0 (* EOF *);
    0|]

let yytransl_block = [|
  267 (* TILDE_STRING *);
  268 (* INTEGER *);
    0|]

let yylhs = "\255\255\
\001\000\001\000\002\000\002\000\003\000\003\000\000\000"

let yylen = "\002\000\
\000\000\002\000\004\000\004\000\000\000\002\000\002\000"

let yydefred = "\000\000\
\000\000\000\000\000\000\007\000\000\000\000\000\000\000\002\000\
\000\000\000\000\000\000\006\000\003\000\004\000"

let yydgoto = "\002\000\
\004\000\005\000\010\000"

let yysindex = "\004\000\
\252\254\000\000\253\254\000\000\252\254\255\254\255\254\000\000\
\255\254\004\255\001\255\000\000\000\000\000\000"

let yyrindex = "\000\000\
\011\000\000\000\000\000\000\000\011\000\008\255\005\255\000\000\
\254\254\000\000\000\000\000\000\000\000\000\000"

let yygindex = "\000\000\
\009\000\000\000\250\255"

let yytablesize = 14
let yytable = "\006\000\
\011\000\005\000\012\000\007\000\001\000\005\000\003\000\013\000\
\014\000\009\000\001\000\005\000\005\000\008\000"

let yycheck = "\003\001\
\007\000\004\001\009\000\007\001\001\000\008\001\011\001\004\001\
\008\001\011\001\000\000\004\001\008\001\005\000"

let yynames_const = "\
  LPAREN\000\
  RPAREN\000\
  LBRACKET\000\
  RBRACKET\000\
  PERIOD\000\
  COMMA\000\
  LBRACE\000\
  RBRACE\000\
  HASH\000\
  NOT\000\
  EOF\000\
  "

let yynames_block = "\
  TILDE_STRING\000\
  INTEGER\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun parser_env ->
    Obj.repr((
# 23 "src/iwgparser.mly"
                                  [] ) : Iwgrule.rule list))
; (fun parser_env ->
    let _1 = (peek_val parser_env 1 : 'iwg_rule) in
    let _2 = (peek_val parser_env 0 : Iwgrule.rule list) in
    Obj.repr((
# 24 "src/iwgparser.mly"
                                  _1 :: _2 ) : Iwgrule.rule list))
; (fun parser_env ->
    let _1 = (peek_val parser_env 3 : string) in
    let _3 = (peek_val parser_env 1 : 'ts_list) in
    Obj.repr((
# 28 "src/iwgparser.mly"
                                           Iwgrule.Replace(_1,_3) ) : 'iwg_rule))
; (fun parser_env ->
    let _1 = (peek_val parser_env 3 : string) in
    let _3 = (peek_val parser_env 1 : 'ts_list) in
    Obj.repr((
# 29 "src/iwgparser.mly"
                                       Iwgrule.ReplaceWithConverted(_1,_3) ) : 'iwg_rule))
; (fun parser_env ->
    Obj.repr((
# 32 "src/iwgparser.mly"
                          [] ) : 'ts_list))
; (fun parser_env ->
    let _1 = (peek_val parser_env 1 : string) in
    let _2 = (peek_val parser_env 0 : 'ts_list) in
    Obj.repr((
# 33 "src/iwgparser.mly"
                          _1 :: _2 ) : 'ts_list))
(* Entry iwg_rule_file *)
; (fun parser_env -> raise (YYexit (peek_val parser_env 0)))
|]
let yytables =
  { actions=yyact;
    transl_const=yytransl_const;
    transl_block=yytransl_block;
    lhs=yylhs;
    len=yylen;
    defred=yydefred;
    dgoto=yydgoto;
    sindex=yysindex;
    rindex=yyrindex;
    gindex=yygindex;
    tablesize=yytablesize;
    table=yytable;
    check=yycheck;
    error_function=parse_error;
    names_const=yynames_const;
    names_block=yynames_block }
let iwg_rule_file (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (yyparse yytables 1 lexfun lexbuf : Iwgrule.rule list)
